Record evidence
curl --request POST \
--url https://api.sortx.co.uk/documents/{id}/evidence \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"kind": "<string>",
"value": "<string>",
"spanId": "<string>",
"label": "<string>",
"rawValue": "<string>",
"unit": "<string>",
"startOffset": 123,
"endOffset": 123
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
value: '<string>',
spanId: '<string>',
label: '<string>',
rawValue: '<string>',
unit: '<string>',
startOffset: 123,
endOffset: 123
})
};
fetch('https://api.sortx.co.uk/documents/{id}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/documents/{id}/evidence"
payload = {
"kind": "<string>",
"value": "<string>",
"spanId": "<string>",
"label": "<string>",
"rawValue": "<string>",
"unit": "<string>",
"startOffset": 123,
"endOffset": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"documentId": "<string>",
"spanId": "<string>",
"kind": "<string>",
"label": "<string>",
"value": "<string>",
"rawValue": "<string>",
"unit": "<string>",
"startOffset": 123,
"endOffset": 123,
"source": "<string>",
"createdAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}documents
Record evidence
Record a consumer’s evidence against a document, citing a span by ID
POST
/
documents
/
{id}
/
evidence
Record evidence
curl --request POST \
--url https://api.sortx.co.uk/documents/{id}/evidence \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"kind": "<string>",
"value": "<string>",
"spanId": "<string>",
"label": "<string>",
"rawValue": "<string>",
"unit": "<string>",
"startOffset": 123,
"endOffset": 123
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
value: '<string>',
spanId: '<string>',
label: '<string>',
rawValue: '<string>',
unit: '<string>',
startOffset: 123,
endOffset: 123
})
};
fetch('https://api.sortx.co.uk/documents/{id}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/documents/{id}/evidence"
payload = {
"kind": "<string>",
"value": "<string>",
"spanId": "<string>",
"label": "<string>",
"rawValue": "<string>",
"unit": "<string>",
"startOffset": 123,
"endOffset": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"documentId": "<string>",
"spanId": "<string>",
"kind": "<string>",
"label": "<string>",
"value": "<string>",
"rawValue": "<string>",
"unit": "<string>",
"startOffset": 123,
"endOffset": 123,
"source": "<string>",
"createdAt": "<string>"
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Response
Success